﻿# You can place the script of your game in this file.

init -1 python:

  # Set up the prefs.
  config.sticky_positions = True
  config.fade_music = 1.0

  centre = Position()
  centrelow = Position(ypos=1.2, yanchor='bottom')
  centrehigh = Position(ypos=1.0, yanchor='bottom')

  multipersistent = MultiPersistent("Chronoluminaire-CloudFairy")

  import math
  def Trampoline(n):
      return (0.5, 1.2 - 0.2 * math.sin(math.pi * n), 0.5, 1.0)
  
init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"

    # Declare characters used by this game.
    $ i = DynamicCharacter('i_name', color="#99ff88")
    $ jo = Character('John', color="#99bbff")
    $ p = Character('Phone', color="#ffffaa")
    $ o = Character(None, what_outlines=[ (1, "#225577") ], what_drop_shadow = (2, 2), what_drop_shadow_color = "#000")
    $ j = Character('Joseph',color="#FFCC00", what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ a = Character('Amber Lyn',color="#FFD3C6", what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ u01 = Character('Unknown Girl',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_a02.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ u02 = Character('Unknown Girl',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_a01.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ u03 = Character('Unknown Girl',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_a05.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ a02 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_a02.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ a03 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_a03.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ a04 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_a04.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ]) 
    $ b01 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_b01.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ]) 
    $ b02 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_b02.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ]) 
    $ b03 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_b03.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ]) 
    $ b04 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_b04.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ]) 
    $ b05 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_b05.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ b06 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_b06.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ b07 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_b07.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ b08 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_b08.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ c01 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_c01.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ]) 
    $ c02 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_c02.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ c03 = Character('Amber Lyn',color="#FFD3C6",window_left_padding=200,show_side_image=Image("amber_c03.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ j01 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_a01.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ]) 
    $ j02 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_a02.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ]) 
    $ j11 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_b01.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ j12 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_b02.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ j13 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_b03.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ j14 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_b04.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ j15 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_b05.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ j16 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_b06.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ j17 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_b07.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ j21 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_c01.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ]) 
    $ j22 = Character('Joseph',color="#FFCC00",window_left_padding=200,show_side_image=Image("joseph_c02.png", xalign=0.0, yalign=1.0), what_drop_shadow = (2, 2), what_drop_shadow_color = "#000", what_outlines=[ (1, "#225577") ])
    $ b = Character('Luna', color="#F9F765")
    $ r = Character('Lera', color="#F5B38B")
    $ e = Character('Ella', color="#D1ECF5")
    $ s = Character('Stella', color="#F5D1DF")
    $ Elna = Character('Elna', color=(225, 155, 131, 255)) # orangepink, hair
    $ Gary = Character('Gary', color=(155, 185, 255, 255)) # blueish
    $ Father = Character('Father', color=(255, 235, 180, 255)) # yellowish
    $ Mum = Character('Mum', color=(200, 255, 200, 255)) # greenish
    $ m_chillin = "Happy Alley trimmed.mp3"
    $ m_fairy = "Radio Martini edited.mp3"
    $ m_happytogether = "Sunshine trimmed.mp3"
    $ m_sad = "Unnatural Situation edited.mp3"
    $ m_dreamy = "Dreamy Flashback trimmed.mp3"
    
    image izzy normal = "Isabel-normal.png"
    image izzy laugh = "Isabel-laugh.png"
    image izzy comeon = "Isabel-comeon.png"
    image izzy perv = "Isabel-perverse.png"
    image izzy gushers = "Isabel-gushers.png"
    image izzy powerblush = "Isabel-powerblush.png"
    image izzy snark = "Isabel-snark.png"
    image izzy wink = "Isabel-wink.png"
    image izzy sweat = "Isabel-sweatdrop.png"
    image izzy winkclose = "Isabel-winkclose.png"
    image izzy quiet = "Isabel-quiet.png"
    image izzy sing = "Isabel-sing.png"
    image izzy kiss = "Isabel-kiss.png"
    image izzy smile = "Isabel-smile.png"
    image izzy angry = "Isabel-angry.png"
    image izzy hmm = "Isabel-hmm.png"
    image izzy powerblushclose = "Isabel-powerblushclose.png"
    image amber_lyn_side_01 = "amber_lyn_side_01.png"
    image amber_lyn_side_02 = "amber_lyn_side_02.png"
    image amber_lyn_side_03 = "amber_lyn_side_03.png"
    image bg_01 = "bg_01.png"
    image bg_02 = "bg_02.png"
    image bg_room = "bg_room.jpg"
    image bg_room_event_01 = "bg_room_event_01.jpg"
    image bg_room_event_02 = "bg_room_event_02.jpg"
    image bg_convention = "bg_convention.jpg"
    image a1_01 = "a1_01.png"
    image a1_02 = "a1_02.png"
    image a1_03 = "a1_03.png"
    image a1_04 = "a1_04.png"
    image a1_05 = "a1_05.png"
    image a2_01 = "a2_01.png"
    image a2_02 = "a2_02.png"
    image a2_03 = "a2_03.png"
    image a2_04 = "a2_04.png"
    image a2_05 = "a2_05.png"
    image a2_06 = "a2_06.png"
    image a3_01 = "a3_01.png"
    image a3_02 = "a3_02.png"
    image a3_03 = "a3_03.png"
    image pant = Animation("pant1.png",0.02, "pant2.png",0.02, "pant3.png",5000000.0,)
    image ctf_frame = Animation("gui_frame_01.png", 0.03, "gui_frame_02.png", 0.03, "gui_frame_03.png", 0.03)
    image bg battle = "bg_battle.png"
    image bg store = "bg_store.png"
    image bg well = "bg_well.png"
    image bg cellar = "bg_cellar.png"
    image white = "white.jpg"
    image luna normal = "luna_normal.png"
    image luna angry = "luna_angry.png"
    image luna evil = "luna_evil.png"
    image luna laugh = "luna_evillaugh.png"
    image luna frown = "luna_frown.png"
    image luna shock = "luna_shock.png"
    image luna smile = "luna_smile.png"
    image lera normal = "lera_normal.png"
    image lera shock = "lera_shock.png"
    image lera surprised = "lera_surprised.png"
    image lera happy = "lera_happy.png"
    image ella normal = "ella_normal.png"
    image ella laugh = "ella_laugh.png"
    image ella shock = "ella_shock.png"
    image ella surprised = "ella_surprised.png"
    image frog = "frog.png"
    image frog xx = "frog_xx.png"
    image stella = "stella.png"
    image cg = "cg.png"
    image cake = "cake.png"
    image end = "end.png"
    image logo = "logo.png"
    image c1 = "c1.png"
    image c2 = "c2.png"
    image bg myroomday = "room1bg.png"
    image bg myroomnight = "room3bg.png"
    image bg myroomdark = "room2bg.png"
    image bg roomnight = "roomnight.png"
    image bg fall = "halloween.png"
    image bg blank = "blank.png"
    image bg sundialday = "sundialday.png"
    image bg sundialnight = "sundialnight.png"
    image bg phone = "yourphone.gif"
    image bg forest1 = "forest1bg.png"
    image bg wallet = "wallet.png"
    image bg window = "window.gif"
    image bg title = "5mintitle.png"
    image breakhalloween = "break-halloween.png"
    image breaksundialnight = "break-sundialnight.png"
    image breakwindow = "break-window.png"
    image breakblank = "break-blank.png"
    image breaksundialday = "break-sundialday.png"
    image bg end = "5mintfp.png"
    image Clouds1 = "Clouds1.jpg"
    image Clouds2 = "Clouds2.jpg"
    image Clouds3 = "Clouds3.jpg"
    image CloudsWide = "CloudsWide.jpg"
    image ClearSky = "ClearSky.jpg"
    image CloudyDay = "CloudyDay.jpg"
    image AeroView1 = "Aeroview1.jpg"
    image AeroView2 = "Aeroview2.jpg"
    image garden = "Garden.jpg"
    image garden_clear = "Garden_clear.jpg"
    image garden_cloudy = "Garden_cloudy.jpg"
    image park = "Park.jpg"
    image hill = "Hill.jpg"
    image black = "#000000"
    image white = "#FFFFFF"
    image Elna smiling = "Elna-smiling.png"
    image Elna grinning = "Elna-grinning.png"
    image Elna neutral = "Elna-neutral.png"
    image Elna angry = "Elna-angry.png"
    image Elna sad = "Elna-sad.png"
    image Elna surprised = "Elna-surprised.png"
    image Elna insistent = "Elna-insistent.png"
    image ElnaFaceSmile = "ElnaFaceSmile.png"
    image ElnaFaceSmileNoWings = "ElnaFaceSmileNoWings.png"
    image ElnaFaceAngry = "ElnaFaceAngry.png"
    
# The game starts here.
label start:
$ result = renpy.imagemap("gamemenu1.jpg", "gamemenu2.jpg", [
                           (50, 120, 250, 600, "Cuter than Fiction"),
                           (270, 110, 530, 600, "Cloud Fairy"),
                           (560, 110, 800, 600, "See More"),
                           (730, 10, 790, 40, "Menu"),
                          ])

if result == "Cuter than Fiction":
    stop music
    jump Cuter_Than_Fiction

elif result == "Cloud Fairy":
    stop music
    jump Cloud_Fairy

elif result == "See More":
    jump moremenu
    
elif result == "Menu":
    return
    
label moremenu:
    $ result = renpy.imagemap("gamemenu3.jpg", "gamemenu4.jpg", [
        (0, 100, 270, 600, "Back"),
        (300, 110, 530, 600, "My Eternal Rival"),
        (560, 100, 800, 600, "Five Minutes"),
        (730, 10, 790, 40, "Menu"),
        ], focus="imagemap")
    
if result == "Five Minutes":
    stop music
    jump Five_Minutes

elif result == "My Eternal Rival":
    stop music
    jump My_Eternal_Rival

elif result == "Back":
    jump start

elif result == "Menu":
    return
    
label Five_Minutes:
    scene bg blank
    "A light comedy/romance: '5 Minutes' by Dave the Twisted"
    scene bg title
    $ renpy.pause (5.0, hard=True)
    play music "03_gate_of_paranoia.mp3" fadein 2.0
    $ i_name = "??"
    scene bg sundialnight
    i "I don't mean to be greedy..."
    i "But could I ask for a favor?"
    i "Could time stand still?"
    i "Just for five minutes?"
    i "Just for me?"
    i "I'm curious, that's all..."
    i "What would it look like?"
    i "What would it feel like?"
    i "I don't have much..."
    i "So can I ask for a little something?"
    i "If anyone's listening..."
    i "Can you make time stop?"
    i "Just for five minutes?"
    i "Just for me?"
    scene breaksundialnight
    with dissolve
    $ renpy.pause (5.0, hard=True)
    $ i_name = "Girl"
    stop music fadeout 5.0
    scene bg blank
    "I slowly opened my eyes, seeing as I seemed to have fallen asleep again."
    scene bg fall
    with dissolve
    "Ah yes, now I remember."
    " I fell asleep on the park bench. Autumn days always make me sleepy for some reason."
    "Even still, it was very early Autumn and only some of the leaves have turned. It had only just started getting cold."
    "Judjing by the lighting, I'd say it was sometime around Six o' clock."
    "It was then I noticed someone standing nearby."
    play music "01_white_hill_2.mp3" fadein 2.0
    show izzy normal
    i "Oh, hey. You're awake."
    jo "Yes, it would seem that way."
    jo "Uh... How long were you standing here?"
    show izzy smile
    i "Maybe an hour and a half."
    show izzy laugh
    i "I couldn't let you get robbed blind in your sleep, now could I?"
    jo "Ah. Well, thanks for that. So uhh..."
    show izzy sing
    i "Oh, right."
    i "I haven't introduced myself, have I?"
    show izzy normal
    i "I'm Isabel."
    $ i_name = "Isabel"
    jo "A pleasure. Call me John."
    show izzy smile
    i "Well met, John!"
    show izzy hmm
    i "Oh, I should get going. It's getting a bit dark."
    show izzy laugh
    i "Until next time then!"
    hide izzy laugh
    "And with that, she was gone."
    "Her soft brown hair flowed in the breeze until it couldn't be seen anymore."
    "A short conversation, a fleeting accquaintance, and a swift departure... That's life I guess."
    "That's when I noticed it."
    "This girl Isabel..."
    stop music
    "Looked oddly familiar."
    play music "01_white_hill_2.mp3" fadein 1.0
    "Ah well."
    "This is the sort of thing that happens all the time."
    "This is the sort of thing that drives some people crazy, but not me."
    "I'll think nothing of it."
    "Bearing that in mind, I made my own swift departure and headed home for the night."
    scene breakhalloween
    with dissolve
    $ renpy.pause (5.0, hard=True)
    stop music fadeout 2.0
    scene bg myroomnight
    with dissolve
    "As I sit in my room, I sift around my desk for a bit of money for next week."
    "I didn't find much, so I decided to look in my wallet in case there were some bills I forgot about inside."
    scene bg wallet
    jo "Dang, nothing."
    "Well, it wasn't money anyway."
    "Instead, what I found was a note."
    "'Isabel Montblanc: 842-5890'"
    "Unbelievable."
    "She must've slipped it into my wallet while I was asleep."
    "The note seemed to be scribbled quickly with a fine-tipped Sharpie marker. Her handwriting wasn't what I expected in the least."
    "It was messy, but still largely legible. I could tell where she almost screwed up on the second 8."
    "Well, I guess I shouldn't keep a lady waiting..."
    scene bg phone
    with dissolve
    play sound "phone-dial-1.wav"
    "I dialed the number written on the torn bit of note paper."
    play sound "phone_1.wav"
    "The phone rang for a good 20 seconds, and then a bored-sounding voice answered."
    play sound "phone-pick-up-1.wav"
    p "Hello, this is Isabel Montblanc."
    jo "Hey, that was pretty sneaky there."
    p "I'm not here right now, so could you leave a message? Or if you need to talk to me right away, you can try this number: 842-5883."
    "*click*"
    play sound "phone-hang-up-1.mp3"
    "Only a small second after machine said that number did I hang up and start dialing."
    play sound "phone_1.wav"
    "The phone rang for another 20 seconds until a much perkier voice answered."
    play sound "phone-pick-up-1.wav"
    p "Hey there! Izzy Montblanc here."
    jo "Hey, pretty sneaky what you did there."
    play music "04_dream_island_daytime.mp3" fadein 2.0
    p "I can't be bothered to pick up the phone right now. Wanna leave a message? Or if you need to get to me right away, you could try my other number: 893-3012."
    "*click*"
    play sound "phone-hang-up-1.mp3"
    "Hang up. Dial again."
    play sound "phonepick-up-1.wav"
    p "Hi, this is Isabel."
    "Don't say anything, just wait."
    p "I'm not at the phone right now, so could you drop a message? Or if you need to get to me right away, try calling my other number: 891-3340."
    "*click*"
    play sound "phone-hang-up-1.mp3"
    "Again."
    play sound "phone-pick-up-1.wav"
    p "Hello, Isabel Montblanc here."
    jo "..."
    p "I'm away at the minute, so would you kindly leave a message? Or if you need to get to me right now, try calling: 825-9156."
    "*click*"
    play sound "phone-hang-up-1.mp3"
    "Again."
    play sound "phone-pick-up-1.wav"
    p "Hey ya, Izzy Montblanc."
    jo "..."
    p "I'm out for the moment, so why dont you leave a message? Or if you need to get to me right now, try calling: 875-9025."
    "*click*"
    play sound "phone-hang-up-1.mp3"
    "Again."
    play sound "phone-pick-up-1.wav"
    p "Isabel Montblanc speaking."
    jo "..."
    p "I'm not here, so do you mind leaving a message? Or if you need to get to me right now, try calling: 865-1093."
    "*click*"
    play sound "phone-hang-up-1.mp3"
    "Again."
    play sound "phone-pick-up-1.wav"
    p "Hey John. Having fun with my answering machines?"
    jo "Finally!"
    p "But I'm not at this phone either. You might wanna call: 851-3393."
    jo "This is a joke, right?"
    p "Yes it is~"
    jo "Double-bluffed!"
    jo "Heh... Okay, that was pretty good."
    i "Yeah, I thought I outdid myself there."
    jo "Six answering machines? What kind of prank is this?"
    i "Six? I thought all ten were hooked up. Cat must've pulled a plug somewhere..."
    jo "So I'm assuming you wanted me to call you, right?"
    i "What gave it away?"
    jo "You know, people don't often take kindly to strangers going through their wallets while they're sleeping."
    i "Maybe so..."
    i "Ah yes! I just remembered!"
    stop music
    i "Did you recognize me?"
    "That stopped the conversation dead."
    "And then..."
    "Laughter."
    play music "04_dream_island_daytime.mp3" fadein 2.0
    "On the other end of the phone, Isabel was laughing at me. She was throwing up quite a fit with her little joke. The laughter died down a bit and Isabel managed to get a few words out."
    i "Oh wow! Did you really think you recognized me?"
    i "I took a shot in the dark and it scored home! Am I good or what?"
    j "Hey."
    i "Haa~ Yeah?"
    jo "Remind me why I haven't hung up yet."
    "She was still cracking up a little bit, but now she sounded energetic rather than hysteric."
    i "Because..."
    i "You were going to meet me out by that sundial in the park soon."
    jo "Was I now?"
    i "Yup! Yes you were. You were going to meet me out at the sundial in five minutes. That's why you called me, remember?"
    jo "Ah yes. It's all coming back to me now..."
    i "Oh good! See you then~"
    stop music
    "*click*"
    play sound "phone-hang-up-1.mp3"
    "Unbelieveable."
    "I get a girl's number in my sleep and she ends up playing 'Wild Goose Chase' with me over the phone."
    scene bg roomnight
    "Ah well. Nothing to do now but go and see what she wants."
    "I grabbed up my coat and shoes, turned off the lights and headed out the door."
    scene bg forest1
    with dissolve
    "The cool night air quickly relieved me of my stress and made me shiver a bit."
    "Against all reason, I didn't really find her little game that annoying anymore."
    "In fact, it was kind of cute actually."
    "Finding a clearing in the shadowed trees, I saw the sundial through the night."
    scene bg sundialnight
    with dissolve
    "And there she was. Standing in the moonlight was Isabel staring up into the sky."
    play music "02_reverie_hill_2.mp3" fadein 2.0
    show izzy hmm at right
    with dissolve
    "Her eyes seemed lost in the stars, as if she had something tough on her mind, like a big philosophical question or something deep like that."
    "I decided to break the silence."
    jo "Hey. Waiting for someone?"
    show izzy normal at right
    "That got her."
    show izzy smile at right
    i "Oh, hey!"
    i "You actually showed up!"
    jo "Were you expecting me not to?"
    show izzy normal at right
    i "Well..."
    show izzy quiet at right
    i "The other ones didn't."
    "I repeated those words to myself. 'The other ones...'"
    show izzy smile at right
    i "But you showed up! I wasn't sure if you would."
    jo "So what exactly do you want?"
    "I tried not to sound rude. I wonder if it worked..."
    i "To talk."
    jo "Weren't we just on the phone a minute ago?"
    show izzy angry at right
    i "I meant in person!"
    jo "Okay okay..."
    hide izzy angry
    with dissolve
    "We must've sat talking there for hours. Sundials are notoriously useless at night. We looked to the stars and wondered if there was any rhyme or reason to them. We pondered the great questions of our time."
    "Is there life outside of this rock called Earth?" 
    "What happens when we die?"
    "What are these strange forces known as fate and luck and are they exclusive from each other or intertwined as one?"
    "It was probably Two in the morning when she left for her home. Her soft brown hair flowed in the breeze until it couldn't be seen anymore."
    "I shiver a bit and head home myself."
    scene breaksundialnight
    with dissolve
    $ renpy.pause (5.0, hard=True)
    stop music fadeout 3.0
    scene bg blank
    scene bg window
    with dissolve
    "The sun on my face wakes me up as it normally does every morning."
    "However, something else was there to wake me up this morning."
    play music "04_dream_island_daytime.mp3" fadein 2.0
    show izzy winkclose
    "Something that for all intents and purposes, shouldn't be."
    "Just my luck. I'm not feeling too great either..."
    i "Mornin'~"
    jo "I really should be a bit more startled about this, shouldn't I?"
    i "Probably, yeah."
    i "You can get out of bed. You're decent, I checked."
    jo "..."
    jo "....."
    jo "......."
    scene bg myroomday
    show izzy smile
    jo "You know, you should be lucky I'm still half-asleep."
    "In my aching stupor, I gravitated towards my favorite spot in the room. Next to the dresser, facing my desk, a few feet away from the door and inching closer with each passing moment."
    i "So, how's it going this morning?"
    jo "Well, it's off to a hell of a good start."
    jo "Just to let you know... Wait, how did you get in in the first place!?"
    show izzy laugh
    i "Door was open."
    jo "And you know where I live...?"
    show izzy snark
    i "I Googled it."
    jo "Give me one good reason-"
    show izzy smile
    i "You think I'm cute."
    jo "Oh for the love of- We don't even know each other that well!"
    show izzy gushers
    i "That's harsh, John! We sat in the park together."
    jo "Yeah, five minutes."
    i "Two hours! You fell asleep on me..."
    jo "I was asleep to start with."
    show izzy hmm
    i "Fair enough."
    i "Umm... We spent a lot of time on the phone together."
    jo "You wound me into an answering-machine trap."
    show izzy smile
    i "Oh that was fun."
    i "Ah! We gazed up at the stars late at night!"
    jo "Yeah, uh..."
    jo "Just so you know I'm feeling sick today. I won't be able to-"
    jo "Oh dear. Is this going to end up like some anime where the protagonist gets sick and one of his friends stays and takes care of him?"
    i "Could be!"
    stop music fadeout 2.0
    play music "01_white_hill_2.mp3" fadein 2.0
    show izzy quiet
    i "Well actually, I thought you might've caught something with me dragging you out last night and all..."
    jo "Hold up, hold up. You knew I was going to get sick so you set this up?"
    show izzy sweat
    i "Well, I guess you could say that..."
    jo "And if I wasn't sick?"
    show izzy laugh
    i "Then I'd just hang here all day!"
    "I suppose I could have asked her to leave, but I don't think she'd hear it."
    "I suppose I really should have called the cops, but I didn't have the heart. She was right. Odd as it may seem, I did actually find this kind of cute."
    show izzy angry
    i "Hey! You're sick. What are you doing out of bed?"
    hide iangry
    with dissolve
    scene bg window
    with dissolve
    "There's clearly no arguing with her, so I pulled myself back into bed like a good boy."
    i "Hey, what do you want for breakfast?"
    jo "Instant ramen is fine, thanks. It's in the cabinet under the microwave."
    i "Instant ramen? Cool. I just learned some nice side-dishes to go with that!"
    "Side dishes for ramen. Now that's interesting."
    "I wonder about her, this interesting girl."
    stop music fadeout 5.0
    scene breakwindow
    with dissolve
    $ renpy.pause (5.0, hard=True)
    scene bg myroomdark
    with dissolve
    "Couldn't get to sleep that night, so I figured I'd go for a walk. I needed to get out of this pseudo-house arrest for a bit. At least for about five minutes. It's not that I didn't appreciate her help, but she'd probably keep me here all week if I let her."
    "I'm not sure why she's so drawn to me though."
    scene bg roomnight
    with dissolve
    i "............."
    "Isabel was still asleep on the couch, so I went through the door with a silence that would make a ninja master proud."
    scene bg forest1
    with dissolve
    "The weather was considerably warmer, so I didn't need to worry about catching another chill."
    "While wandering nowhere in particular, I found the clearing of trees I had visited yesterday at around this time."
    scene bg sundialnight
    with dissolve
    "I figured this would be a good place to think things out."
    "I looked down upon that sundial and wondered."
    jo "Just what is this girl?"
    jo "Her antics have me peeved one minute and then laughing it off the next."
    jo "I can't tell if she's got a plan for the things she does or if it's just on impulse."
    jo "She not like anything I've seen. Her head is a maze that I'm not even sure she knows how to navigate."
    jo "She's confusing and charming and..."
    jo "And she's got me talking to a blasted sundial!"
    scene bg blank
    with dissolve
    "Unbelievable..."
    "If anyone's listening out there..."
    "Give me a sign, a hint, something."
    "Who is this girl that I've been stuck with?"
    "What is she to me?"
    "....."
    scene breakblank
    with dissolve
    $ renpy.pause (5.0, hard=True)
    scene bg blank
    play music "13_reverie_hill_cd.mp3" fadein 3.0
    "..."
    "I fell asleep again it seemed."
    "I remember..."
    "I nodded off at the sundial last night while I was lost in thought."
    "I opened my eyes slowly."
    scene bg sundialday
    show izzy kiss
    with dissolve
    jo "Well good morning to you too, Izzy."
    show izzy powerblushclose
    $ renpy.pause (0.10, hard=True)
    hide izzy powerblushclose
    show izzy perv at right
    i "Dang, I thought I'd have at least another minute..."
    show izzy comeon at right
    i "So, what're you doing out here?"
    jo "Thinking."
    i "About me?"
    jo "..."
    show izzy laugh at right
    i "I was right! I was right wasn't I?"
    show izzy smile at right
    i "You dig me. It's written on your face."
    jo "You know, you-"
    jo "Ah, screw it, I can't argue that."
    show izzy laugh at right
    i "I thought as much!"
    hide izzy laugh
    with dissolve
    "She came over and sat beside me."
    "The sun shone warm on our faces as we looked toward that sundial. I wanted to see what time it was, but it didn't matter."
    "We just sat, talking nonsense. No traps, no games or sudden intrusions, just talk."
    i "So, which eye do you like better, the green one or the blue one?"
    jo "Huh? What's with this question?"
    i "Which one?"
    jo "Oh alright. The blue one."
    i "Alright, which one of my answering machines had the number '842-3840'?"
    jo "What is this!?"
    i "Just answer."
    jo "Oh heck. The fourth...?"
    i "Nope."
    jo "The second."
    i "Wrong"
    jo "The third?"
    i "Nice try, but no."
    jo "Jeez, I give up."
    i "It's none of them!"
    jo "What? Hey, that's cheap."
    i "Well, it was going to be the ninth, but the cat unplugged it again."
    jo "I see."
    i "So, you still feel sick?"
    jo "Not really... Maybe all it needed was some fresh air and sleep."
    i "You didn't even look that sick to begin with."
    jo "Really? Maybe I've just got chronic laziness."
    i "Could be!"
    scene bg sundialnight
    with dissolve
    "We bantered like this for hours, not even caring that neither of us had eaten."
    "Just this company was enough to keep us content. I didn't think it would become anything serious."
    "A sudden meeting and two days together. It was interesting."
    "I decided this was not a time to think seriously about anything, lest I be caught offguard by fate or luck."
    "Roll with the punches, keep playing even if you're losing and just go with what's handed to you."
    "It'll keep at least one of us entertained."
    "As I watched the day go by, a ridiculous thought had entered my head."
    "It was an impossible idea, complete garbage and probably the most cliche'd thing in the book, but I threw away my reason and said it anyway."
    jo "Times like this, I sort of wish time would just stop."
    "I felt something click in her head as she turned to face me. What was she up to now?"
    show izzy winkclose
    stop music
    i "You've got five minutes."
    scene bg blank
    with dissolve
    play music "blue_limbo.mp3" fadein 5.0
    "-CREDITS-"
    'Original script and story by "Dave the Twisted".'
    "All music files by Susumu Hirasawa, All rights reserved and Administrated by e-License Inc. Their rights are protected by International copyright law. Website at http://www.teslakite.com/freemp3s/e/."
    'All backgrounds by BCS. You asked the community to "make something wonderful." I gave it a shot.'
    'Isabel created using the character base "Celeste" by Deji. This artist is made of win and awesome.'
    "All sounds from pacdv.com."
    'Edited and compiled into the "Cute, Light and Fluffy Project" by "Samu-kun".'
    '"Cute, Light and Fluffy Project" organized by the members of Lemma Soft VN Community at http://lemmasoft.renai.us/forums/index.php'
    scene bg end
    $ renpy.pause (5.0, hard=True)
    stop music fadeout 5.0
    return
    
    #██████████████████████████████
#    scene sidewalk
#██████████████████████████████
label Cuter_Than_Fiction:
    $ frame = 2
    play music "01.ogg"
    scene bg_01 at Pan((0, 0), (0, 620), 10.0) with dissolve
    o "The street is crowded as usual."
    o"Or maybe it just feels crowded because it's so hot out."
    o "My route home from school is the same every day, but when the weather gets warmer, the streets suddenly overflow with people."
    o "Where do they all come from?"
    o "They wander the streets with their bright shirts and fanny packs, taking pictures of the same things I see every day."
    o "I can't stand how they all act like children, pointing at everything in wide-eyed wonder with dumb grins on their faces."
    o "I got over all the \"excting sights\" when I entered high school last year."
    o "Of course, this city is also full of people willing to take advantage of the booming tourist industry."
    o "The sidewalk is lined with vendors hawking useless charms, magnets, and postcards to anyone guillible enough to buy them."
    o "At the corner a hot dog vendor declares that everyone will fall in love with his authentic hot dogs."
    o "If by authentic he means overpriced and gross-looking, then these must be the originals."
    o "I wonder what kind of loser would actually shell out that much money for mystery meat.{w} And yet somehow I'm compelled to buy a hot dog anyway."
    o "Nothing like a mustard-drenched heart attack on a bun received from a suspicious looking man on a smoky street corner."
    o "I dig through my pockets, searching for some spare change, but I come up dry."
    o "Seriously? Not enough to buy a hot dog?"
    scene bg_02 with hpunch
    o "I feel something tugging at my...{w}pants?"
    show amber_lyn_side_01 with dissolve
    o "I glance to the side and see a girl with sparkling eyes grinning at me."
    u01 "Hungry, right?"
    j01 "Who says I'm hungry?"
    u01 "I can see you drooling over those hot dogs."
    o "She smirks a bit and it's only now that I realize she's still got her fingers hooked in my right pocket."
    j02 "Could you...let go of my uh...pants..?"
    show amber_lyn_side_02 with dissolve
    hide amber_lyn_side_01 
    u02 "Ah-"
    o "She blinks for a moment as if she didn't even realize what she was doing."
    hide amber_lyn_side_02 with dissolve
    show a1_01 with dissolve
    u03 "Sorry 'bout that!"
    show a1_02 with dissolve
    hide a1_01 with dissolve
    a02 "The name's Amber Lyn. You want a hot dog, right?"
    j01 "Yeah, but what?"
    hide a1_02 with dissolve
    o "She fishes out a couple bucks from her pocket and plops them into my hand."
    show amber_lyn_side_01 with dissolve
    a02 "Here!"
    hide amber_lyn_side_01 with dissolve
    show a1_02 with dissolve
    o "I eye her suspiciously."
    j02 "What's the catch?"
    show a1_03 with dissolve
    hide a1_02 
    o "She smiles winningly."
    play sound "pop02.ogg"
    show pant
    a03 "Your pants."
    j02 "What?"
    a03 "I want your pants."
    j02 "Right now?"
    hide pant with dissolve
    show a1_04 with dissolve
    hide a1_03 
    o "She stares at me in disbelief."
    a04 "Are you a pervert or something?"
    o "This coming from the girl asking for my pants?"
    hide a1_04 with dissolve
    o "She takes my hand and scribbles an address on it with a black marker."
    show a1_05 with dissolve
    a02 "Come here when you're ready."
    hide a1_05 with dissolve
    o "A bus pulls up to the sidewalk and she leaps onto it."
    o "She waves goodbye quickly before the doors close."
    o "I stare at the money in one hand and her hastily written address on my other hand."
    o "I really don't feel like giving my pants away to a strange girl."
    o "Oh well. Free hot dog!"
    
#██████████████████████████████
#    scene room
#██████████████████████████████
    play music "02.ogg" fadeout 1.5
    scene bg_room with fade
    o "What am I doing here?"
    o "It's been three days since Amber Lyn plunked the money in my hand."
    o "The hot dog is long gone, but for some reason the address scrawled on my hand hasn't faded away."
    o "The black ink mocks me like a black spot portent of my impending doom, should I try to run away from my tacit agreement to hand my pants over."
    o "And so I finally decided to visit her, pants in hand."
    o "With another pair firmly on my legs, of course."
    o "The apartment is small with minimal furniture:"
    o "However, the room is far from bare."
    o "There are comics books, video games and stacks of cards that appear to be from Mystic: The Gardening."
    o "It feels as if I've walked into another dimension with all these strange things surrounding me."
    show a2_01 with dissolve
    o "But by far, the strangest thing in the room is the girl with sparkling eyes staring up at me."
    o "Or rather...staring at the pants I'm holding in my hands."
    b01 "I knew you'd come!"
    o "Amber chirps happily as she lifts the pants from my hands and holds it up against a dressform in the corner of the room."
    j11 "So uh..."
    o "I should probably run while I still can, but a lapse in judgment causes me to strike up a conversation with her."
    o "I nod towards the large poster on the wall."
    j12 "Midnight Ranger, huh?"
    show a2_02 with dissolve
    hide a2_01
    o "Amber grins like a child."
    b02 "Sure is! He's my hero!"
    j11 "Hero, huh?"
    o "I scratch the back of my head for a moment."
    j12 "I remember watching the cartoon when I was a kid. I used to think he was cool."
    show a2_03 with dissolve
    hide a2_02 
    b03 "Used to?"
    j12 "Yeah, I'm beyond all that kid stuff now."
    show a2_04 with dissolve
    hide a2_03 
    o "Amber's mood suddenly darkens. Her once sparkly eyes take on an evil aura."
    b04 "Kid stuff, you say?"
    j12 "Yeah. Guys dressing up in spandex and running around trying to save the world?"
    j12 "Getting all excited over something like that is completely childish and pointle-"
    show a2_05 with dissolve
    hide a2_04
    b05 "WRONG!"
    o "Amber's sudden outburst surprises me."
    b05 "NO NO NO NO NO!"
    show a2_06 with dissolve
    hide a2_05 with dissolve
    o "I think she's...{w}pouting?"
    b06 "You don't understand anything! Midnight Ranger isn't just a kid thing!"
    scene bg_room_event_01 with dissolve
    o "She holds a comic book up to my face."
    b07 "In this issue, he didn't make it in time to save his best friend from dying."
    b07 "And in this one, he actually helps his nemesis Mandrake when he needs lung surgery!"
    b07 "How is that CHILDISH?"
    j13 "Uh, I, uh..."
    b07 "Or are you saying his selfess actions aren't true heroism?"
    j14 "True heroism?"
    o "I can't help but think there's not much hero-ish about some guy whose biggest enemy is named Mandrake, but I decide to keep my mouth shut."
    b07 "Don't you have any romance in your heart?"
    o "Amber stares deep into my eyes, as if she is trying to see if there is, indeed, any romance in my heart."
    j15 "I uh...what?"
    b08 "::sigh:: Back to basics."
    o "She flips open a comic book to the first page."
    b03 "Midnight Ranger was born prematurely and almost died because of it."
    b03 "So for his entire life, his parents were highly protective of him."
    j12 "Yes, I know all this. I watched the show, remember?"
    j12 "Then one day he got separated, saw what the world was really like, realized that he couldn't live in an ivory tower forever, blah blah, and hero is born."
    o "Her expression tells me that I probably shouldn't have interrupted her."
    b07 "You already know, and you still don't think there's anything heroic about him?"
    j14 "What's so heroic about parading around in a funny costume in the middle of the night?"
    o "I know I shouldn't have said that, but for some reason I'm starting to find her annoyed pout a little endearing."
    b07 "What's not heroic about someone giving up every luxury in his life for the sake of others?"
    b07 "He even left his parents who loved him. The most important people in his life!"
    b07 "What's not heroic about that?"
    j13 "I..."
    o "She has a point."
    j12 "But doesn't it seem unheroic to leave people who love you?"
    o "I'm not sure why I'm even arguing anymore."
    b08 "::sigh:: "
    o "Amber sighs. It sounds like she's practically given up on me."
    o "She sounds ticked..."
    scene bg_room with dissolve
    o "I glance at the pile of comic books on her desk and recognize one of the covers."
    j16 "Hey, isn't that the Midnight Boom Boom?"
    b02 "Sure is!"
    o "She suddenly sounds happy again."
    j16 "I remember in the cartoon, I always thought she was really cute. I kinda had a crush on her..."
    o "My voice trails off as I realize what Amber is doing."
    j12 "Don't tell me that you're dressing up as Midnight Boom Boom for one of those weird geeky conventions."
    j12 "You actually go to those gatherings of awkward teenagers with no life and old guys who still live in-"
    b06 "I'm holding scissors, you know."
    j17 "Okay, I'll shut up now."
    b05 "And to answer your question, yes, I AM dressing up as Midnight Boom Boom."
    b05 "And yes, I will be wearing it to one of your so called \"weird, geeky conventions.\""
    j12 "So does your geeky boyfriend plan to dress up as Midnight Ranger?"
    j16 "I bet he has to wear all those foam muscles just to look anything like him!"
    b05 "For your information, I don't have a boyfriend."
    j15 "What, you couldn't find some guy nerdy enough to go out with you?"
    o "I expect another threat, but she's silent."
    o "Instead, she turns away from me."
    o "Did I go too far?"
    o "I can hear the scissors moving methodically along my pants."
    o "The sound of the snipping is in time with her breathing."
    o "I walk over to her, planning to offer words of comfort."
    j15 "WHAT THE-!"
    o "She's holding what used to be my pants, now reduced to a bunch of shredded pieces of fabric."
    j15 "What did you do?!"
    b02 "Oh this?"
    o "She glances down as if it's the first time she's seen them."
    b02 "The fabric on your pants is PERFECT for this. They're the right color, texture, everything!"
    b01 "When I saw your pants, I knew I wanted them!"
    j15 "So what you're saying is...{w}from the minute you saw me, you've wanted to get my pants off?"
    play sound "scissors.ogg"
    o "She snips the scissors in the air menacingly."
    o "I hold up my arms in defense."
    j13 "I was just kidding."
    o "Her glare melts into a smile and she giggles."
    show a2_01 with dissolve
    b01 "You're a strange guy, Joseph."
    j13 "This coming from the girl who dresses up as comic book characters?"
    show a2_02 with dissolve
    hide a2_01 
    o "She smiles proudly."
    b02 "At least I'm actually happy with my life."
    j12 "What, you don't think I'm happy with my life?"
    show a2_01 with dissolve
    hide a2_02 
    b01 "I see you at the station every day."
    j15 "What?"
    b01 "I take the same bus every day. And I see you walk by every day."
    j11 "I've never seen you before."
    b01 "I know. You're always looking at the ground."
    b01 "It's sad. The sky is beautiful, the city is exciting, and the people around you are full of life!{w} But you always seem to be trying to block the world out."
    j11 "The sky always looks the same, the city is boring once you get to know it, and the people are the worst part.{w} They're so childish."
    b01 "What's wrong with being childish?"
    j11 "It's just...dumb."
    j11 "I'm mature now."
    b01 "Being childish isn't the same as being immature..."
    j13 "Well..."
    b01 "You know, it takes thirty muscles to frown and only four to smile!"
    j12 "No one actually knows how many muscles it takes to do either; someone just made that up."
    j12 "Besides, four is still too much work anyway."
    b01 "It's never too much work to smile!"
    b01 "Anyway."
    o "She pushes me gently towards the door of her apartment."
    b01 "I need to finish this before next week."
    j11 "So uh...I guess this is goodbye?"
    show a2_02 with dissolve
    hide a2_01 
    o "She blinks for a moment, surprised."
    b02 "I'll still see you every day. You might see me too if you ever bothered to look up."
    j13 "I'll... think about it."
    o "I can tell she was hoping for a better answer than that, but I've never been much of a people pleaser."
    
#██████████████████████████████
#    scene convention
#██████████████████████████████

    play music "03.ogg" fadeout 1.5
    scene bg_convention with fade
   
    o "It's been a week since I last saw her."
    o "I've been taking the long way home from school each day, hoping to avoid her."
    o "So why am I spending my Saturday in this alien world filled with people dressed in strange costumes?"
    o "Can I claim temporary insanity for coming here?"
    o "Then again, I actually had to look up the location and take two buses to get here."
    o "That's a little more than temporary insanity."
    o "I'm surrounded by idiots.{w} Everyone here has that same ridiculous smile that I see on tourists."
    o "They look like they're really having fun though..."
    show a3_01 with dissolve
    c01 "Joseph?"
    o "I spin around to see Amber.{w} ...Or at least, someone who sounds like Amber."
    c01 "I haven't seen you for days! I was afraid you got lost!"
    j21 "I did.{w} Why else would I be here?"
    show a3_02 with dissolve
    hide a3_01
    o "She giggles."
    c02 "I don't know, maybe you're looking for some true heroism!"
    j21 "I don't think I'm ready for all this true heroism yet."
    j22 "But I guess I don't mind reliving my childhood once in awhile."
    show a3_01 with dissolve
    hide a3_02
    o "I look around at the ocean of people dressed as super heroes."
    o "I actually remember some of them from my childhood."
    o "I suddenly feel very left out from the festivities in my plain t-shirt and faded jeans."
    j21 "Hey...Amber..?"
    show a3_03 with dissolve
    hide a3_01
    c03 "What's up?"
    j21 "Do you think next time...you could uh..."
    show a3_01 with dissolve
    hide a3_03
    o "Amber grins at me with a glowing smile."
    c01 "Next time?"
    j22 "Well...I mean, if it's okay...{w}I wouldn't mind dressing up either."
    show a3_02 with dissolve
    hide a3_01
    o "She giggles and pokes my stomach playfully."
    c02 "Sure, but you'd better work out, or you're going to be stuck wearing those foam muscles."
    j22 "Then I'd better get to work, huh?"
    o "She gives my hand a playful squeeze."
    c02 "We've got time."
    j22 "We, huh? I like the sound of that."
    j21 "Are you still in the market for a boyfriend?"
    c02 "Maybe, but I don't think you're nerdy enough to go out with me."
    j21 "Is there a test I have to pass or something?"
    o "Amber pokes me in the stomach again."
    c02 "Smile!"
    j21 "Huh?"
    c02 "Smile! Love the world! Don't be afraid to be childish once in awhile."
    j22 "I dunno...smiling is a lot of work..."
    o "I can barely keep a straight face when I tease her now."
    o "My expression melts into a grin and I see her face light up in reaction to mine."
    o "I guess smiling isn't SO much effort after all."
    stop music fadeout 1.5
    $ frame = 1
    return
    
label My_Eternal_Rival:

    scene black
    
    $ renpy.pause(0.5)
    show logo at Position(xalign=.500, yalign=.300) with dissolve
    $ renpy.pause(2.0)
    hide logo with dissolve
    
    $ renpy.pause(0.3)
    
    centered "''Dark Star hear my call''" with dissolve
    with dissolve
    
    centered "''Have the shadows bind my adversary as I command, grand me the Chains of your Light...''" with dissolve
    with dissolve
    
    centered "''Bring her to do as I demand!''" with dissolve
    with dissolve
    
    scene white with dissolve
    scene bg battle with dissolve
    play music "battle.mp3" fadein 1.0
    
    "SwwooooOOOOOOOHHH~!"
    
    r "Kyaah-!!"
    
    scene white
    $ renpy.pause(0.3)
    scene bg battle with dissolve
    with hpunch
    
    "SLAM!"
    
    r "Ungh....."
    
    show luna laugh at left with dissolve
    
    b "This is IT! Finally, finally my moment of victory after all you have put me through!"
    b "I’m going to enjoy this moment, Lera Le Rouge!"
    
    show lera surprised at right with dissolve
    r "......!!"
    
    b "Star Bomb! Fireeeee!"
    
    hide luna
    hide lera
    with dissolve
    
    "A ball of energy gathers before the hands of the dark witch before firing down towards her opponent on the ground, much like a black laserbeam."
    "The little witch in the red dress looks up towards what appears to be her incoming doom."
    
    show lera happy with dissolve
    r "......"
    r "Is that so?"
    hide lera with dissolve
    
    "Surprisingly fast the little witch lifts her hand up to her hair and pulls out a long, bright-red ribbon."
    "The ribbon unfolds in a wide arc before her as she pulls it, and the black beam explodes on impact, creating something like a shower of bright stars right above her."
    
    show lera happy with dissolve
    r "Wrap."
    
    scene white
    hide lera
    $ renpy.pause(0.3)
    scene bg battle with dissolve
    
    "As if empowered by the impact, the ribbon expands up towards Luna in high speed. It all happens in just a second."
    
    show luna shock with dissolve
    b "...... Huh?"
    
    scene white
    hide luna
    stop music fadeout 0.5
    "WHAM~!"
    
    "................................................."
    "................................"
    "...................."
    
    scene black with fade
    
    b "THIS IS NOT FAIR!"
    
    r "My, my, isn’t this a bit of a predicament."
    
    b "LET ME GO RIGHT NOW!"
    
    scene cg with dissolve
    
    r "Did I overdo it?"
    
    b "Stop playing dumb already and let me go, witch!"
    
    r "Oh but wait, didn’t you say something when you came and attacked me? Something about a prize..."
    
    b "SHUT UP."
    
    r "Ah yes, it was about being indebted, wasn’t it!"
    
    b "LET ME GO."
    
    r "Oh! This means I win, doesn’t it?"
    r "Oh, isn’t it fun? You have to do what I say now!"
    
    b ".................!"
    
    r "It’ll be wonderful! We’ll be together all the time now!"
    
    b ".......... I promise, you are so going to regret this."
    
    scene black with dissolve
    
    "........................"
    ".............."
    "......."
    
    scene bg store with blinds
    play music "asobe.mp3" fadein 1.5
    
    show luna normal at left with dissolve
    b "Here. I brought you your water."
    
    show lera happy at right with dissolve
    r "Wonderful! Just what I needed for preparing the tea."
    
    show luna frown at left with dissolve
    b "................"
    
    show lera normal at right with dissolve
    r "What is it? Oh, maybe you want a cup when I’m done?"
    
    show luna angry at left with dissolve
    b "No, of course I don’t want your stinkin’ tea! I just want to--"
    
    show lera happy at right with dissolve
    r "Oh right, I just got a customer asking for a certain herb powder that I ran out of."
    r "Would you go fetch some onion herb leaves down by the old well for me?"
    
    show luna normal at left with dissolve
    b "No, I’m not doing any stupid errands for you, who do you think I am!? I’m the Bla-"
    
    stop music fadeout 0.5
    hide lera with dissolve
    show ella surprised at right with dissolve
    e "Oh, isn’t that the Black Witch? What are you doing here of all places?"
    
    show luna shock at left with dissolve
    b "---?"
    
    play music "ella.mp3" fadein 1.0
    hide ella with dissolve
    show lera happy at right with dissolve
    r "I just asked her to get one of the ingredients for the powder you requested. Don’t worry, I’ll have it ready for you shortly."
    
    hide lera with dissolve
    show ella shock at right with dissolve
    e "Huh? Don’t tell me... you’re running errands for the Red Witch?"
    show ella laugh at right with dissolve
    e "Ahahaha that’s just too ironic, if only my sister could see this! Ahahahaha~! "
    e "What did you go and do now, Luna?"
    
    hide ella with dissolve
    show lera normal at right with dissolve
    r "I’m afraid we had a little quarrel earlier. But it all came out nicely, didn’t it? This is wonderful!"
    show lera happy at right with dissolve
    r "You know, after work I was thinking we could bake some cakes! Luna?"
    
    show luna frown at left with dissolve
    b "....................."
    
    hide luna
    with vpunch
    stop music
    "SLAM!"
    
    show lera surprised at right with dissolve
    r "Oh... she left..."
    
    scene black with blinds
    scene bg well with blinds
    
    show luna angry at right with dissolve
    b "Aaaarrrgh I can’t take this any more!"
    show luna frown at right with dissolve
    b "Why was I stupid to use that spell? How could I mess up, finally so close to my goal!?"
    b "I didn’t think I could loose at that time and have the servant-spell backfire..."
    
    b "Now I have to do whatever that stupid Red Witch says. It’s frustrating! No one will ever respect me ever again!"
    
    show stella with dissolve
    s "Yeah, that was a really impressive display back there."
    
    show luna shock at right with dissolve
    b "S-Stella? Why are you here?"
    
    s "I'm your familiar spirit, right? I'm supposed to hang around you."
    
    show luna frown at right with dissolve
    b "Then where were you when I needed you during that fight?"
    
    s ".......... tactical withdrawal."
    
    b "What a pretty familiar you are."
    
    show luna normal at right with dissolve
    b "Whatever, just stay out of Lera's sight, alright? I don't want you stirring up any trouble."
    
    scene black with blinds
    scene bg well with blinds
    
    show luna normal with dissolve
    b "......... The onion herbs for Lera’s stupid shop."
    b "How I wish I could finally get back at her!"
    
    show luna frown with dissolve
    b "For that time... And that..... And that!...... And........"
    show luna angry with dissolve
    with vpunch
    b "Aaaaarrrghhghgh!"
    
    show luna frown with dissolve
    b "But even though she acts stupid as soap she always manages to out-smart me each and every time."
    b "I’ll do it! I’ll expose to everyone what a sneaky impostor she is! If only I could somehow catch her off-guard..."
    
    b "And now she wants me to make crappy cakes........"
    
    b ".............................."
    
    show luna normal with dissolve
    b "..............!!"
    
    show luna laugh with dissolve
    b "Now I know! Those stupid tea parties she holds five times a day, I will get her then!"
    
    show stella at left with dissolve
    s "The tea party?"
    
    b "Yes! She will never suspect a thing!"
    b "I’ll beat her and revert the spell, and then I won’t have to do what she says any more!"
    
    scene black with dissolve
    
    ".............................."
    play music "asobe.mp3"
    scene bg cellar with blinds
    
    show luna laugh with dissolve
    b "This will be my greatest feat ever! With this I will finally be able to wipe that stupid smile off the Red Witch's face!"
    b "Yes, I'll make her the fool of town! Hahahahaha~!"
    
    show luna evil with dissolve
    b "Just add a little of this... and some of that..."
    
    show luna smile with dissolve
    b "Hm-hm-hmm~ frog-cake, frog-cake....."
    
    show stella at left with dissolve
    s "Your greatest feat? Baking a cake??"
    
    show luna angry with dissolve
    b "S-shut up!"
    
    show luna normal with dissolve
    b "Now for the final part! Dried frog-eye-powder!"
    
    "*shake shake*"
    
    show luna laugh with dissolve
    b "Yes! It's done! My ultimate weapon!"
    
    show cake with dissolve
    "Tadaaah~!"
    
    hide cake
    show luna smile with dissolve
    b "And it smells wonderful too~"
    
    show lera happy at right with dissolve
    r "My, aren't we enjoying ourselves?"
    
    hide stella
    hide cake
    show luna shock at left
    with vpunch
    
    b "GAH!"
    
    show lera normal  at right with dissolve
    r "I was wondering what you were doing down here in the cellar, and decided to check up on you."
    
    show cake with dissolve
    r "That cake looks wonderful! I didn't know you were so good at this."
    
    show luna normal at left with dissolve
    b "I... uh..."
    
    r "Somehow I wouldn't have imagined."
    
    b "................"
    
    show luna smile at left with dissolve
    b "Well... you see, I was thinking that maybe we have started off on the wrong foot."
    b "All this fighting, and... unfortunate events... but now that we are forced to be together, we should try and get along, right?"
    b "So maybe we should start over. I made this cake for you."
    
    r "For... me?"
    
    b "Yes. I thought we could taste it at your next tea party. Which shouldn't take too long, considering how many of those you have each day..."
    
    show lera happy at right with dissolve
    r "That is... amazing!!"
    
    show luna normal at left with dissolve
    b "Huh?"
    
    r "That cake looks so wonderful! And you made it for me! I'm so happy!!"
    
    b "Uh, well, I'm glad...?"
    
    r "I can't wait to taste it! I love cake!"
    
    b "............"
    
    stop music fadeout 1.5
    hide cake
    hide lera with dissolve
    show luna normal with dissolve
    b "*Well, that went surprisingly easy. I guess all I have to do now is wait...*"
    
    scene black with dissolve
    "............................."
    "....................."
    "............"
    
    play music "asobe.mp3"
    scene bg store with blinds
    
    show lera normal at right with dissolve
    r "There, all set!"
    
    show luna normal at left with dissolve
    b "You know, with all these breaks, one can't help but wonder when you have time to run your shop..."
    
    r "Oh, but I can't work without tea! It's like... fuel! If I don't get my tea, nothing works out right."
    r "It's really terrible, you know."
    
    b "................"
    
    show luna smile at left with dissolve
    b "Anyway, last but not least, here's the cake!"
    
    show cake with dissolve
    
    show lera happy at right with dissolve
    r "Oh my, it really does look wonderful! I wonder how it tastes!"
    
    show luna normal at left with dissolve
    b "You really love cakes, don't you?"
    
    r "Yes! After tea comes cake, always! I love experiencing new flavours!"
    
    show lera normal at right
    show luna smile at left with dissolve
    b "Well, that's just perfect then! This is a very special cake, my own recipe, hehehe~!"
    b "Here, I'll cut it out for you. One slice for me, and for you... there you go~!"
    
    show lera happy at right with dissolve
    r "Aaaah~!"
    
    show luna laugh at left with dissolve
    b "Now, all that's left is to ta--"
    
    stop music
    
    hide cake
    hide lera with dissolve
    show ella normal at right with dissolve
    
    e "Oh, here you are! Having a tea party again?"
    
    show luna shock at left with dissolve
    b "Ack, w-why are you here!?"
    
    play music "ella.mp3"
    
    show ella laugh at right with dissolve
    e "When I saw you two earlier it just looked to hilarious to be true, so I had to come back and check on you! I told the Green Witch, and she wouldn't believe a word! Haha!"
    
    show luna frown at left with dissolve
    b "Is that so.... well, we're kind of busy, so...."
    
    show cake with dissolve
    show ella normal at right with dissolve
    e "Hmm? That's quite a peculiar cake you're having there, what is it?"
    
    hide luna with dissolve
    show lera happy at left with dissolve
    r "Luna baked this for me! Isn't it lovely?"
    
    show ella laugh at right with dissolve
    e "Hah? You baked this?"
    e "Ahahaha~, this is gold! The world must be coming to an end! My sis really has to come see this!!"
    
    hide cake with dissolve
    hide lera with dissolve
    show luna frown at left with dissolve
    b "W-why you little.... You're just here to make fun of me, aren't you?"
    
    show ella normal at right with dissolve
    e "Aw come on, you think I would do something so wicked?"
    
    show luna angry at left with dissolve
    b "Just get out of here already! You're not invited!"
    
    e "Oh, it's a private party, is it? You two must be getting along well!"
    e "Don't worry, I'll leave you to it. But first, I have to taste what kind of disaster you have cooked up here..."
    
    show luna normal at left with dissolve
    b "Huh?"
    
    show luna shock at left with dissolve
    b "Aaaaah what do you think you're doing!?"
    
    show ella laugh at right with dissolve
    e "Aw come on, there's plenty for everyone, right?"
    
    stop music fadeout 0.5
    
    b "Ah! M-my cake...."
    
    show luna angry at left with dissolve
    b "P-put that cake down!! NOW!!"
    
    e "Aaaaan~!"
    
    show luna shock at left with dissolve
    
    b "NOOOOOOO~!"
    
    show ella normal at right with dissolve
    e "*Chomp*"
    
    show ella shock at right with dissolve
    e "... Huh!?"
    e "Hey, w-what are yo---?"
    
    "*POOOF!*"
    scene white
    $ renpy.pause(0.3)
    scene bg store with dissolve
    
    show frog at right with dissolve
    e "Huh!?"
    
    show luna angry at left with dissolve
    
    "Luna throws herself across the table towards the Blue Witch in a desperate attempt to stop her, only to pull down with her both witch and table. Soon teapots and  silverware is sent flying as the table topples over on top of them."
    
    hide frog
    hide luna
    with vpunch
    
    "CRASH-BANG!"
    
    show frog xx at right with dissolve
    
    e "Iiiiiiih!"
    
    hide frog with dissolve
    
    show lera surprised with dissolve
    
    r "Aaaah, my tea set!"
    
    hide lera with dissolve
    
    show luna shock at left with dissolve
    
    b "T-the cake! Where!?"
    
    show frog at right with dissolve
    
    e "It's.... flying...."
    
    hide frog
    hide luna
    with dissolve
    
    show lera shock with dissolve
    
    r "Nooooo my caaaake~!!"
    
    hide lera with dissolve
    
    "Lera leaps through the air, desperate to save the poor cake flying in an arc through the air. Unfortunately she slips in a pool of tea from a broken teapot, and instead of jumping up to grab the cake, she lounges forward, head-first into the door."
    with vpunch
    "To round it all off the cake comes plunging down on her head with an impressive splashing sound."
    
    show luna shock with dissolve
    
    b "..............."
    b "Whoa."
    
    show stella at left with dissolve
    
    s "Impressive."
    
    show luna normal with dissolve
    
    b "Lera, she.... she's out cold."
    
    show luna shock with dissolve
    
    b ".... Wait – this means...."
    
    s "??"
    
    show luna laugh with dissolve
    b "I WIN!"
    b "I finally WIN! I'm FREE!"
    b "AHAHAHAHA~!"
    
    show frog xx at right with dissolve
    
    e "Nnnnhhh.... @_@"
    
    hide frog with dissolve
    show luna frown with dissolve
    
    b "Uh, and now let's seize this chance and get out of here."
    b "I don't think I want to be here when they wake up and realise what has happened."
    
    show luna smile with dissolve
    
    b "Better safe than sorry, right?"
    
    hide luna with dissolve
    
    show stella with dissolve
    
    s "....................."
    
    s "So..... this is what victory looks like?"
    
    scene black with fade
    
    scene end with fade
    $ renpy.pause(2.5)
    scene c1 with fade
    $ renpy.pause(2.5)
    scene c2 with fade
    $ renpy.pause(2.5)
    
    scene black with fade
    return
    
label Cloud_Fairy:
play music [m_chillin, m_fairy]
scene Clouds1
"Cloudy days..."
"I don't like them."
"Well, I mean, I prefer clouds to rain... And I prefer days with puffy clouds like today to days when the sky's completely covered in grey."
"But it's much nicer when the sky's completely blue and there's not a trace of white visible."
"Basically, the fewer clouds in the sky, the better, as far as I'm concerned."
"There's only a week of summer holiday left before we have to go back to school. I want to enjoy it as much as I can."
"And when I say \"enjoy\", I mean things like lying on my own in the garden... But I'd enjoy it more if there were no clouds."
"That's why I say to myself,"
Gary "I wish all the clouds would go away..."

play music m_fairy fadeout 0.0 fadein 0.0
show ElnaFaceAngry
"???" "No! You can't banish the clouds!"
Gary "What the–?!"
scene garden
show Elna angry at centre
"I jerk upright at the unexpected reply."
Gary "Who are you? How did you get in here?"
show Elna neutral
"???" "I'm Elna. I fell from the sky."
Gary "...What?"
Elna "I'm a cloud fairy!"

scene black
with fade
show text "chronoluminaire presents"
with fade
with Pause(1.5)
show text   "CLOUD FAIRY"
with fade # sfadein
with Pause(1.5)

scene garden
show Elna neutral at centre
with fade # sfadeout

"I look at the strange girl incredulously."
"She must have walked in through the side gate to the garden. My parents must have left it unlocked again."
Gary "You're a what now?"
Elna "I'm a cloud fairy!"
Gary "Okayy... Why are you in my garden?"
show Elna insistent
Elna "I've come down to the ground because of an accident, and I need your help to get back!"
"I continue staring at her quizzically."
show Elna angry
Elna "You don't believe me, do you?"
Gary "Umm... not really."
Elna "Oooh, grrr!"
Elna "Look. Up there."
"She points up into the sky, and I try to follow her gesture."
Gary "All I can see is clouds..."
Elna "That's right! Clouds – my home!"
Gary "Your home?"
"I'm looking at her sceptically again."
Elna "Well, of course! Where do you think a cloud fairy lives?"
Gary "Of course, silly me..."
show Elna neutral
Elna "Look. That big cloud up there, with the two towering bits?" # TODO match to image
"I sigh, and look up."
scene Clouds1
Gary "Yeah...?"
Elna "That's my home."
Elna "I live in the tower on the right, and my father lives in the tower on the left."
Gary "Okay..."
Elna "And I need your help to get back!"
Gary "How... are you going to get up into the sky?"

scene garden
show Elna insistent at centre
Elna "Duh. I've got wings!"
Gary "Hmm."
"It's undeniable. There are wings coming out of her back."
"They look like something from a fancy dress costume, but... I can't quite see where they're clipped on."
"I gingerly reach out and brush my finger against her wings..."
show Elna surprised
Elna "Oooh!"
"She cried out in a startled tone."
Gary "I'm sorry, did that hurt?"
show Elna neutral
Elna "Not hurt exactly, but... they're very sensitive."
show Elna insistent
Elna "You must never touch a cloud fairy's wings without asking!"
"She's looking at me so sternly that I just nod."

Elna "So I'll be able to fly home."
show Elna sad
Elna "If I can find a good launching point..."
Gary "What do you mean?"
show Elna neutral
Elna "I can't just fly up into the sky from this garden."
show Elna insistent
Elna "I need to find somewhere high!"
show Elna neutral
Gary "So what's wrong with the Twillers Hill?"
show Elna angry
Elna "I've just fallen from the sky! I don't know any places around here!"
show Elna insistent
Elna "Take me to this hill."
Gary "What, me?"
Elna "Who else?"
Gary "But I'm..."
"I want to say I'm busy... but all I was going to do was lie here on the grass, and I can't really say that."
Gary "...Oh, all right. I could do with some exercise today."
"With a brief exertion, I lift myself off the lawn and set off, the strange fairy following me."

#  He takes her to a nearby hill, so she can try to leap up into the clouds, though he doesn't believe a word of it.
scene hill
show Elna neutral at centrelow
with fade
Elna "This place miiight do."
Gary "What, not high enough for you?"
Elna "We'll see."
Gary "What else do you need?"
Elna "Nothing beyond what's here... let's give it a try."
show Elna insistent at centrelow
"She acquires a look of concentration, and just stands there for several seconds. Then..."
show Elna insistent at Motion(Trampoline, 0.8, repeat=False, bounce=False)
with Pause(0.8)
show Elna sad at centrelow
Elna "..."
"She didn't hang in the air at all. It just looked like she was a girl jumping in the air."
"Apart from the way her wings fluttered slightly... Could that have just been the wind?"
show Elna angry
Elna "Hmph. No, this is no good."
Gary "Well, sorry. It's the highest place within walking distance."
show Elna neutral
Elna "Hmm."
Elna "Father's house is drifting away..."
Gary "Well, yeah. Clouds move pretty quickly. In half an hour it'll be gone."
Elna "I'll have to try again tomorrow."
Gary "What? But I just said..."
Elna "They'll come back. I heard father say that they'd be circling back over this part of the ground tomorrow."
"With a sudden suspicion, I look at her."
Gary "...What will you do overnight?"
Elna "I'll have to find somewhere to sleep."
"I've seen a few stories where some hapless guy meets a mysterious girl who turns up out of nowhere, and she always seems to have to stay at his house..."
"And there's no way that's happening. I'm only 15; my parents would kill me."
Gary "You can't stay at my house."
show Elna surprised
Elna "What?"
show Elna angry
Elna "I wouldn't want to!"
show Elna smiling
Elna "Fairies sleep outside. Don't you know anything?"
Gary "Uh... sorry..."
"Her smile is somewhat dazzling. She winks at me and adds,"
Elna "I might sleep in your garden, though."

scene garden
show Elna smiling at centre
with fade
"We walk back to my house, at a more relaxed pace than the urgent hurry with which she'd marched me off to the hill."
Elna "What were you planning to do for the rest of the day?"
Gary "Uh... I didn't have much planned."
Gary "Lie in the garden and relax, I guess."
Elna "Can I join you?"
Gary "...Sure."
play music m_happytogether
hide Elna
"I return to my favourite spot on the lawn, facing away from the house, and past the point where the neighbours' shed blocks the view of the sky."
"Elna sits down daintily beside me, a little closer than I'd have chosen to sit next to her."
scene Clouds2
"But oh well. I lie back and gaze at the sky."
"The girl points at a puffy, towering cloud and says,"
Elna "That's my best friend's home."
Gary "What? That cloud?"
Elna "It looks like a cloud to you, but there's a whole castle up there."
Elna "And that one next to it is my other friend's playground."
Gary "Really...?"
"She nods vigorously."
"I point at a large, flat cloud in the distance and say,"
Gary "What's that one then?"
"The fairy replies darkly,"
Elna "That's one of our mortal enemies. It's been approaching our citadel for some days now."
Elna "My father will have to go out and fight them soon."
"She indicates a rounded, narrowish cloud and says,"
Elna "That's my father's warship."
Gary "There are battleships up there now?"
Elna "Not just now. There have been for hundreds of years, you know."
Gary "But... Aeroplanes have flown above and through clouds, and we never see any of this."
"She gives a laugh. It's a pretty sound."
Elna "We've become quite good at hiding our castles from humans."
Elna "Have you ever been in an aeroplane flying through clouds?"
Gary "Once... when my family took us on holiday."
scene AeroView1 with dissolve
Gary "We normally just drive somewhere, but one time we flew off for a holiday in the sun."
Elna "And when the aeroplane passed through the clouds, it just looked completely white, right?"
scene white with dissolve
Gary "Well... yeah."
Elna "Since humans invented aeroplanes, we've started colouring the outsides of our castles white. You can't see them from less than a yard away."
Gary "Hmm...? Really?"
Gary "And what about if a plane is going to fly closer than that? Or even actually hit one?"
Elna "We move it out of the way. That's one of the advantages of building on cloud rather than ground."
Gary "Hmm... Okay, but... What about the view from above?"
scene AeroView1 with dissolve
Gary "I mean... I looked out of the plane's windows when we were above the clouds too. They were just white and fluffy."
Gary "Pretty, though... they went on for miles..."
Elna "Well, yes. Our castles look like that from a distance."
scene AeroView2 with dissolve
Gary "No, I don't believe you. They were just white fluff, even close up."
Gary "And besides, I know that clouds are just made of tiny water droplets."
Gary "If I were up on one of them, I'd fall straight through it."
scene garden
show Elna smiling at centre
with dissolve
"She pauses for a moment, then sighs."
Elna "All right, I admit it."
Gary "Admit what? That you're making it all –"
Elna "We use magic to hide our castles."
Gary "...Ah, of course."
Gary "And the falling-straight-through thing?"
Elna "We're... not made of quite the same matter that you are."
Elna "The molecular interactions are a bit different. We can touch different things."
Elna "I mean, this ground is still solid to me... and I can touch you..."
"At this point she takes and squeezes my hand, which I find somewhat distracting..."
Elna "...But some things that are solid to you that I can pass through, and some things – like clouds – are solid to me even though you'd fall straight through them."
Gary "...You're asking me to believe in magic?"
Elna "Well, I am a fairy. I've got wings. Magic kinda comes with that."
Gary "Yeah, I guess so..."
"She's really convinced she's a cloud fairy. And she does seem to have an answer for all the questions I have."
"As for me..."
$ belief = 0
menu:
  "I believe her":
    $ belief += 2
    "It seems crazy."
    "And yet somehow... I can almost believe it."
    Gary "..."
    "The conversation trails off, with me lost in thoughts about this strange fairy."
  "I think she's making it all up":
    $ belief -= 2
    "I'm convinced she's making it all up."
    "I mean, it's obvious, isn't it? Fairies don't exist."
    "She must have one seriously overactive imagination."
    "The conversation trails off, with me lost in thoughts about this crazy girl."
  "I'm not sure":
    "I really can't tell whether she's just some girl making things up, or whether it's somehow all true."
    "I mean... fairies don't exist, right? That's what I always thought. So she must be just a girl with an overactive imagination."
    "But sometimes, she's awfully convincing... it's hard to be sure."
    Gary "..."
    "The conversation trails off, with me lost in thoughts about this mysterious girl."

"We lie there side by side for some time, watching the clouds drift past."
"She's still holding loosely onto my hand."
"And then suddenly, she jumps to her feet."
scene garden
show Elna smiling at centre
Elna "It's been fun to meet you..."
show Elna neutral
Elna "Hm. You never told me your name."
Gary "Oh. Um..."
"I extend my hand."
Gary "I'm Gary. Pleased to meet you, Elna the cloud fairy."
show Elna smiling
Elna "You too!"
Elna "See you tomorrow!"
Gary "What?"
hide Elna
"She's suddenly running for the gate."
Gary "But where will you sleep?"
"She's already gone."
if belief > 0:
  Gary "I hope she'll be okay..."
else:
  Gary "Strange, strange girl..."
play music m_chillin
scene black with fade

scene ClearSky with fade
"The next day, I'm back out in the garden."
"I considered doing something else today... maybe playing a computer game, or going to the park to play football..."
"But somehow I just felt like staying in the garden."
"The weather is more like I prefer it: a wide-open blue sky, with only a couple of thin, wispy clouds."
Gary "I wonder how that fairy is coping?"
if belief < 0:
  "I shake my head rapidly, trying to clear such silly thoughts from my brain."
else:
  "If she really is a fairy, what will she have done to sleep?"
play music m_fairy
show ElnaFaceSmile
Elna "Hello! Did you miss me?"
Gary "Gah!"
scene garden_clear
show Elna smiling
Gary "You know, you really shouldn't just come into other people's gardens..."
Elna "Would you rather I didn't?"
menu:
  "\"Well, you could at least ring the doorbell...\"":
    show Elna surprised
    Gary "Well, you could at least ring the doorbell..."
    play music m_sad
    show Elna sad
    Elna "Do you really want me to do that?"
    Gary "Well... it's more polite, isn't it?"
    Elna "I see..."
    Gary "Are you all right?"
    show Elna neutral
    Elna "Sorry to have bothered you."
    Gary "It's okay. Just come in the normal way next time – through the front door."
    scene black with fade
    "But there was no next time."
    "We chatted for a bit, and then she politely excused herself."
    if belief < 0:
      "I don't think I ever saw the poor deluded girl again."
      "But there were one or two occasions I saw a girl who looked a bit like her walking around the neighbourhood... I wanted to go and say hello, but I thought I shouldn't."
    elif belief == 0:
      "I don't think I ever saw that mysterious girl again."
      "But there were one or two occasions I saw a girl who looked a bit like her walking around the neighbourhood... I wanted to go and say hello, but I thought it can't be her."
    else:
      "I never saw that lost fairy again."
      "But there were one or two occasions I saw a girl who looked a bit like her walking around the neighbourhood... I wanted to go and say hello, but I thought it can't be her."
    jump Ending5

  "\"No, I don't mind.\"":
    Gary "No, I don't mind."
    Elna "Well then."

"Satisfied, she sits down beside me."
Gary "So, you didn't manage to get back to your cloud castle?"
Elna "Well, you saw me try."
Elna "I'll give it another go when my father brings the castle back around here."
Gary "I thought that was meant to be today?"
show Elna angry
Elna "It was... but my family are a bit unreliable when it comes to time."
"I can't help giggling at that."
Elna "What?!"
Gary "No, no. I was just thinking my family's just the same."
show Elna surprised
Elna "Oh."
show Elna angry
Elna "Isn't it irritating? You can never know if something will actually happen the time they say it will, or a week later."
Gary "And if you're meant to meet them somewhere, or you're travelling somewhere with them, they're always an hour late..."
show Elna smiling
Elna "Exactly!"
Elna "So, it's like that. I'll have to wait until I see my family's castle from down here, and then run to join them."
Gary "Okay."
Gary "You know... you seem remarkably calm, for a girl who's basically lost and can't get home."
Elna "I'm a fairy, remember?"
Gary "Sorry, not a girl, a fairy."
show Elna angry
Elna "That's not what I said!"
"Confused, I can only say,"
Gary "Huh?"
Elna "I'm a fairy, but I most definitely am a girl as well. There are boy fairies, and I'm not one of them!"
Gary "Okay, okay..."
show Elna smiling
Gary "You seem very calm for a fairy girl who's lost, then."
Elna "Well, naturally. Fairies don't get worried easily."
Gary "So it would seem..."
show Elna neutral
Elna "Actually, I suppose that's not true. My father is a bit of a worry-wobble."
Gary "A... what?"
Elna "He gets worried about a lot of little things."
show Elna angry
Elna "But that doesn't make him any better with time."
Gary "Heh."
Elna "..."
show Elna smiling
"She gives me another dazzling smile, and I can't help returning it."
Gary "So what are you doing today?"
Elna "I don't know. Hanging around."
Gary "I would invite you in to play video games, but today is my favourite kind of day, so I'd rather stay outside."
Gary "Want to go to the park?"
Elna "Sounds good."

#play music m_happytogether
scene park
"I show her the way to a local park, a couple of streets away."
"I feel a bit old to play on swings and roundabouts and things, but Elna seems so happy to see them..."
"She looks about 14 or so, I think, in as much as I can tell these things. But sometimes she acts rather younger."
if belief > 0:
  "I wonder if fairies have swings and things?"
elif belief == 0:
  "If she is making all this up, she's doing a good job of acting like she's never seen playground equipment before."
else:
  "I'm sure she's making all this up, but she's doing a good job of acting like she's never seen playground equipment before."
"After having a bit of fun on the swings, we sit down side by side on the grass."
scene ClearSky
"We hang around at the park for a while, with me sometimes asking her questions about the world above the clouds and her replying confidently."
if belief > 0:
  "She replies so quickly and casually that I'm getting more and more convinced it's all true."
elif belief == 0:
  "I keep changing my mind about whether she's telling the truth or not. She replies so quickly, but some of the answers seem hard to believe... But it does all hang together..."
else:
  "She's certainly got a good imagination, I'll give her that."
scene park
show Elna smiling at centre
Gary "Does every cloud have fairies living on it?"
Elna "No, of course not."
Elna "Some are too high, or too wispy even for us. It'd be like you building a house on a giant fishing net."
Elna "And some have dangerous creatures living on them."
Gary "Dangerous even to fairies with magic?"
show Elna insistent
Elna "Magic isn't a simple solution to everything, you know."
Elna "It's hard to defeat a dragon even with a squad of trained fairy magicians."
Gary "Wait, now you're telling me there are dragons over England?"
show Elna smiling
Elna "Hahaha!"
Elna "No, of course not."
Elna "Dragons don't venture far beyond South America."
if belief >= 0:
  Gary "...I never know what to make of you, Elna."
  Gary "You keep saying things that make sense, sort of... and then you come out with something that just completely throws me for a loop."
  "I meant it as a complaint, but she just gives me a satisfied grin and says happily,"
  show Elna grinning
  Elna "Yup! That's what life with me will be like!"
  Gary "Life with... you...?"
  show Elna smiling
  "Uh-oh."
  Gary "Wait, you're not going to tell me we're engaged now, because of some crazy fairy law or something, are you?"
  "Those stories when a mad girl comes into a guy's life often have some kind of trick like that, and there's no way I'm – "
  show Elna grinning
  Elna "Ooh! That's a good idea!"
  show Elna smiling
  Elna "...But no, nothing like that. I just meant if you're going to be my friend, that's what you're in for."
  Gary "R-Right..."
else:
  "A lot of what she says does hang together. "
  "But fortunately, every now and then she comes out with something so ridiculous it reassures me she's spinning a huge web of lies."
  "But I'm never sure how to respond..."
  menu:
    "Play along":
      "Eh, she's just playing. There's no harm in it."
      "And it is kinda fun."
      "Especially seeing what answers she makes up to the flaws I point out."
      "I'm sure she can't have it all figured out in advance, but I'm quite impressed with her imagination."
      "Well, most of the time."

    "Tell her she's being silly":
      Gary "You know, you don't have to keep making up crazy answers."
      show Elna surprised
      Gary "It's fine to play at being a fairy, but it's a bit silly to carry it on all the way to an entire sky civilisation complete with dragons."
      Gary "It's best to leave the make-believe worlds to younger kids, you know."
      play music m_sad
      show Elna sad
      Elna "..."
      Elna "I thought you understood..."
      show Elna neutral
      Elna "Oh well."
      Elna "I'll just find someone else."
      Gary "Someone to play with, or someone to help you get back onto your cloud?"
      show Elna angry
      Elna "You really don't understand, do you?"
      Elna "Both, of course!"
      Gary "Right..."
      show Elna neutral
      Elna "Goodbye, Gary."
      "She stands up and walks away."
      "Just as she's about to leave, she turns back to face me and says,"
      Elna "So what's your explanation for my wings?"
      Gary "Well... some kind of fancy dress costume."
      Gary "That's obvious, right?"
      "She just raises an eyebrow at me and meets my gaze steadily for a moment."
      hide Elna
      "Then she turns and runs off."
      Gary "Come on. They were obviously fancy dress wings, right?"
      Gary "...Right?"
      scene black with fade
      "I never saw Elna again."
      "Every once in a while, though, I remember her. I hope she did find someone more suitable to play with."
      scene Clouds2 with fade
      "And just occasionally... I wonder if there might actually be a family of fairies in every towering cloud I see."
      jump Ending4

"..."
show Elna neutral
"Eventually, the day starts to cool down."
Gary "It's getting late... I ought to get home."
"Elna nods, her hair waving prettily in the breeze."
Elna "Okay."
Elna "Maybe see you tomorrow?"
"I smile at her."
Gary "You know where to come."
show Elna smiling
Elna "See you then!"
"She waves at me, then turns and runs off."
"I shake my head, grinning to myself, and walk home."

play music m_chillin
scene CloudyDay
with fade
"The next day, the end of the summer holidays is drawing ever closer... which means there's homework to finish off."
"The weather's distinctly less summery than yesterday. It's a bit cold, too."
"So I can understand it when my mum says,"
scene garden_cloudy
Mum "Are you sure you want to do your homework outside, dear?"
Mum "It's not very sunny, and it looks like it might even rain..."
Gary "I'll be fine, Mum."
"For some reason, I'm inclined to sit outside in the cold, with my textbooks and paper."
"And when I say \"for some reason\"..."
play music m_happytogether
show Elna smiling at centre
"Well, here she comes now."
Gary "Hello, fairy girl. How are you today?"
Elna "I'm good! Father's castle is going to be passing soon!"
"I look up at the cloud-filled sky."
Gary "How can you even tell?"
show Elna neutral
Elna "What do you mean?"
Gary "There are so many clouds up there, all blurring into one another. Can you even recognise one cloud amongst all those?"
show Elna smiling
"She smiles cockily at me."
Elna "It's a talent that cloud fairies have."
"I mutter to myself,"
Gary "Of course..."
Gary "So what does it mean for your people when the whole sky is grey and all the clouds run together?"
"She smiles and starts lecturing."
Elna "Well. Sometimes that's just one very large cloud, you see. The Duke of... Greyvault, I think... lives in a castle in the middle of a huge cloud a hundred miles wide."
Elna "But sometimes it's when a lot of smaller families come together for conferences."
Gary "Conferences?!"
Elna "Yeah... We'll gather our castles and gardens together, to get together and have a big discussion about something or other."
Gary "Gardens... Aha, so some families have several clouds?"
"She nods approvingly."
Elna "Exactly. My family only have two – not counting my father's warship – but some have as many as ten."
"She points at the sky."
show Elna neutral
Elna "That one and that one."
Gary "It doesn't look the same as the one you showed me when we met..."
Elna "Well, of course it'll look a bit different. The water droplets that make the foundation are always changing and moving."
Gary "Isn't that the exact opposite of what a foundation should be...?"
show Elna smiling
Elna "Things are different for fairies."
if belief > 0:
  jump HillAgain
# otherwise stay here
"I nod wryly."
Gary "Of course."
jump FatherAppears

label HillAgain:
play music m_dreamy fadeout 1.0 fadein 1.0
show Elna surprised
Gary "You mentioned your castle was passing overhead. Doesn't that mean you should try flying to it again?"
Elna "...Yes, you're right!"
Elna "Um..."
show Elna neutral
Elna "Could you show me the way to the hill again?"
Elna "I remember it was down the street, then right then left... but I can't remember the last bit of the way."
Gary "Sure."
scene hill
show Elna neutral
with fade
"When we arrive at the hilltop, my heart is beating fast, not just from the exertion."
"If this works, this is going to be the last time I see this fairy. She just waltzed into my life, and turned it upside down for a couple of days..."
"But it's been really fun."
"So I find myself taking a deep breath, and then I say..."
menu:
  "\"Take me with you\"":
    Gary "Elna... can you take me with you?"
    show Elna surprised
    Elna "..."
    show Elna smiling
    Elna "Oh, Gary, you're sweet."
    Elna "But humans can't fly, you silly boy!"
    "My blush intensifies."
    Elna "I'm sorry. There's no way to take a human up to our cloud castles."
    Elna "But I'll be watching you when we pass over your garden."
    Gary "...Okay."
    show Elna neutral
    Elna "I need to fly away now. The castle will be drifting away soon."
    Gary "Okay. Good luck."
    show Elna insistent
    Elna "..."
    "She's staring at me for some reason."
    Elna "You need to look away."
    Gary "What? Why?"
    show Elna angry
    Elna "Because otherwise you'll see up my skirt!"
    "My eyes widen, and then I spin around on the spot and squeeze my eyes tightly closed."
    scene black
    Gary "Sorry!"
    "There's a fond smile in her voice as she replies,"
    Elna "That's all right."
    "I strain my ears. Is that some kind of fluttering I can hear?"
    Elna "It's been fun, Gary. Goodbye..."
    "Her voice trails off, and I crack my eyes open and glance around."
    scene hill
    "There's no sign of Elna. Just a whispering from the trees in the breeze."
    Gary "Goodbye..."
    "There's no reply. I let out a deep breath I hadn't realised I was holding in, and murmur,"
    Gary "Well... I guess that's that, then."
    "I sigh, and start the long walk home."
    scene black with fade
    "I never meet another cloud fairy."
    scene Clouds3
    "But often, when the sky's full of clouds, I look up and wonder how she's doing."
    jump Ending3
  "\"Stay here with me\"":
    Gary "Elna... don't go. Stay here with me."
    show Elna surprised
    Elna "..."
    show Elna smiling
    Elna "Are you serious?"
    Gary "...Yeah."
    Gary "Life is... fun with you in it."
    Elna "Aww..."
    "Suddenly, she runs to me and impulsively gives me a hug."
    Elna "All right."
    Gary "R-Really?"
    Elna "Yeah. It's fun to be with you too."
    Gary "Wow..."
    "Did I just let myself in for a bigger commitment than I meant to?"
    Gary "Um... where will you sleep?"
    Elna "The same place I've been sleeping so far."
    Gary "Hmm. Where is that, now that you mention it?"
    show Elna grinning
    Elna "I'll bring you over and show you sometime."
    Gary "R-Right."
    show Elna smiling
    Elna "I should probably go now. But I'll come over again tomorrow."
    Gary "Okay... sure."
    "I force myself out of my nervousness to give her a smile and say,"
    Gary "See you tomorrow!"
    Elna "Bye-bye!"
    hide Elna
    "She waves, turns, and runs off, her wings flapping behind her."
    "Still somewhat astonished at what just happened, I stand there in a daze for a little before I walk home."

    scene Clouds2
    "The next day, I'm out in the garden, trying to think about homework. And failing."
    play music m_fairy
    show ElnaFaceSmileNoWings
    Elna "Hello, my human friend!"
    Gary "Hello... wait, what the heck?"
    "She's dressed... differently. And not just that..."
    Gary "What happened to your wings?!"
    Elna "You silly. I had wings when I was being a fairy!"
    Elna "But I'm bored with being a fairy. Today I'm a pirate!"
    Elna "Come with me to look for buried treasure!"
    Gary "But... you..."
    "I decide to shut my mouth before I embarrass myself. But she's already noticed."
    Elna "Oh Gary... do you mean you really believed me?"
    Gary "I... um..."
    Elna "Aww, aren't you so sweet!"
    Elna "I must bring you over to meet my father!"
    "She winks at me and adds,"
    Elna "Though if you want, I won't tell him you thought I was a fairy for the first two days we knew each other."
    Gary "Uh... yeah, that'd be good."
    Elna "I'll just introduce you as my gullible friend, but won't explain it."
    Gary "..."
    scene black with fade
    "Life is a lot of fun with Elna in it."
    "Even though it's also got a lot more mocking in it than it used to."
    jump Ending2

label FatherAppears:
$ renpy.music.play(m_happytogether, if_changed=True)
"???" "Elna!"
"To my surprise, a deep male voice calls Elna's name."
"She jumps up and looks around."
show Elna surprised
Elna "Oh, father! You found me!"
"There's a very normal-looking middle-aged man standing by our back gate, wearing a shirt and jeans."
Father "Ah, you're still being a lost fairy, are you?"
show Elna smiling
Elna "Yeah."
Elna "This is my friend Gary."
"The man meets my eyes, giving me a warm smile."
Father "Thank you for playing with El'na. I know she can be quite a handful."
Gary "Ah... heh. No problem."
Father "El'na, dinner's in half an hour, so come home by then, okay?"
Elna "Okay!"
Father "You should come and play over at ours sometime, Gary."
Father "See you later."
Elna "See you!"
"He waves and walks out through my parents' unlocked garden gate."
"I turn to look at the smiling girl by my side."
Gary "...Your name isn't quite \"Elna\", is it?"
show Elna grinning
Elna "Hehe... Almost..."
show Elna smiling
Gary "I only noticed hearing your dad say it. It's \"Eleanor\", isn't it?"
Elna "Yeah. But I prefer the way you say it."
show Elna grinning
Elna "It sounds more... fairylike."
scene black with fade
"After that, Elna and I spent the rest of the summer playing together."
"It turned out she'd just moved into a house just down the next road."
"Her way of finding new friends is... unconventional..."
"But it worked for me, so I'm not complaining."
call Ending1
scene garden with fade
"A few days later..."
"I'm lying out in the garden again."
scene Clouds3
"The sky is full of clouds, but somehow I don't mind them any more."
"I'm just enjoying lying on the grass, when..."
show ElnaFaceSmileNoWings
Elna "Hello!"
Gary "Why hello. To whom do I have the pleasure of speaking?"
Elna "I'm a dragon cub! I need your help to find treasure!"
scene black with fade
jump Credits

label Ending5:
scene black
show text "Ending 5 of 5: Personality Mismatch"
with fade
$ renpy.pause(1.5) # use renpy.pause rather than "with Pause(" so that a click advances to the credits rather than skipping them
jump Credits

label Ending4:
scene black
show text "Ending 4 of 5: Nagging Doubt"
with fade
$ renpy.pause(1.5)
jump Credits

label Ending3:
scene black
show text "Ending 3 of 5: Fond Farewell"
with fade
$ renpy.pause(1.5)
jump Credits

label Ending2:
scene black
show text "Ending 2 of 5: Gullible Friend"
with fade
$ renpy.pause(1.5)
jump Credits

label Ending1:
scene black
show text "Ending 1 of 5: Best Friends"
with fade
$ renpy.pause(1.5)
return

label Credits:
scene CloudsWide at Pan((0, 0), (1600, 0), 40.0, subpixel=True)
with fade
$ CredsText = Text("Cloud Fairy\n\n\n\n\n\nA game by chronoluminaire\n\n\n\n\n\nStory and Programming: chronoluminaire\n\n\n\n\n\nCharacter Art: SunKitten\n\n\n\n\n\nBackground Art: Photos by stock.xchng photographers\neduardtrag, jazza, jjarv, luizsilvei, mzacha,\nO_m, quentinh, ragxyz, svenic, and weirdvis\n\nReleased under Creative Commons licenses\n\nEdited by chronoluminaire\n\n\n\n\n\nMusic by Kevin MacLeod from incompetech.com\n\n\n\n\n\nEngine: Ren'Py by PyTom\n\n\n\n\n\nCome and tell us what you thought on\nToothyWiki or the Lemmasoft forums:\nhttp://snipurl.com/CloudFairy", drop_shadow = (1,1), drop_shadow_color = "#444", text_align = 0.5)
$ CredsMove = Move((400, 600), (400, -1500), 40.0, xanchor="center", yanchor="top", subpixel=True)
$ renpy.show(name="", tag="creds", what=CredsText, at_list=[CredsMove])
$ renpy.pause(30.0)
stop music fadeout 5.0
with Pause(5.0)
